Pair API key
Pair an API key to a cosigner Endpoint Permission: Admin and Non-Signing Admin.
PUT
/
cosigners
/
{cosignerId}
/
api_keys
/
{apiKeyId}
TypeScript
const response: Promise<FireblocksResponse<PairApiKeyResponse>> = fireblocks.cosignersBeta.pairApiKey(cosignersBetaApiPairApiKeyRequest);CompletableFuture<ApiResponse<PairApiKeyResponse>> response = fireblocks.cosignersBeta().pairApiKey(pairApiKeyRequest, cosignerId, apiKeyId, idempotencyKey);response = fireblocks.cosigners_beta.pair_api_key(pair_api_key_request, cosigner_id, api_key_id, idempotency_key);curl --request PUT \
--url https://api.fireblocks.io/v1/cosigners/{cosignerId}/api_keys/{apiKeyId} \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.fireblocks.io/v1/cosigners/{cosignerId}/api_keys/{apiKeyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "44fcead0-7053-4831-a53a-df7fb90d440f",
"callbackHandler": {
"url": "https://example.com/callback-handler",
"publicKey": "-----BEGIN PUBLIC KEY-----\n... truncated ...-----END PUBLIC KEY-----",
"cert": "-----BEGIN CERTIFICATE-----\n... truncated ...\n-----END CERTIFICATE-----"
}
}{
"message": "<string>",
"code": 123
}Headers
A unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.
Path Parameters
The unique identifier of the cosigner
The unique identifier of the API key
Body
application/json
Show child attributes
Show child attributes
Was this page helpful?
Previous
Unpair API keyUnpair an API key from a cosigner
Endpoint Permission: Admin and Non-Signing Admin.
Next
⌘I
TypeScript
const response: Promise<FireblocksResponse<PairApiKeyResponse>> = fireblocks.cosignersBeta.pairApiKey(cosignersBetaApiPairApiKeyRequest);CompletableFuture<ApiResponse<PairApiKeyResponse>> response = fireblocks.cosignersBeta().pairApiKey(pairApiKeyRequest, cosignerId, apiKeyId, idempotencyKey);response = fireblocks.cosigners_beta.pair_api_key(pair_api_key_request, cosigner_id, api_key_id, idempotency_key);